<?php
/* @var $this NewsletterSubscriberController */
/* @var $model NewsletterSubscriber */
$this->breadcrumbs = array(
    'Newsletter Subscribers' => array('admin'),
    'Manage',
);
$this->menu = array(
    array('label' => 'List NewsletterSubscriber', 'url' => array('admin')),
    array('label' => 'Create NewsletterSubscriber', 'url' => array('create')),
);
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#newsletter-subscriber-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<div class="page-header"><h1>Manage Newsletter Subscribers</h1></div>
<?php $this->renderPartial('admin.components.actions.views.export'); ?>
<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'newsletter-subscriber-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'htmlOptions' => array('style' => 'width:50px;'),
        ),
        'email',
        array(
            'name' => 'have_previous_experience',
        //'htmlOptions' => array('style' => 'width:100px;'),
        ),
        array(
            'name' => 'previous_experience_role',
        // 'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'name' => 'phonenumber',
        // 'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
        ),
    ),
));
?>
